X2Go Bug report logs - #226
x2gobroker: Incorrect hostname displayed when hostname and address are different

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Fri, 7 Jun 2013 13:03:01 UTC

Severity: minor

Tags: pending

Found in version 4.0.1.0

Fixed in version 4.0.1.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>, owner@bugs.x2go.org:
Bug#226; Package x2gobroker (perhaps x2goclient). (Fri, 07 Jun 2013 13:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>, owner@bugs.x2go.org. (Fri, 07 Jun 2013 13:03:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: x2gobroker: Incorrect hostname displayed when hostname and address are different
Date: Fri, 7 Jun 2013 14:51:57 +0200
[Message part 1 (text/plain, inline)]
Package: x2gobroker (perhaps x2goclient)
Version: 0.0.2.3
Severity: minor

With the new setup where servers can be specified as hostname (address), I
have this setup:

host=testterm1 (testterm1.example.com),testterm2 (testterm2.example.com)

When x2goclient gets sent to testterm2.example.com, it displays testterm1
as the hostname, but connects to testterm2.example.com. It is probably only
cosmetic, but should be fixed, so us poor sysadmins won't have problems
troubleshooting :)

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>, owner@bugs.x2go.org:
Bug#226; Package x2gobroker (perhaps x2goclient). (Fri, 07 Jun 2013 18:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>, owner@bugs.x2go.org. (Fri, 07 Jun 2013 18:48:02 GMT) (full text, mbox, link).


Message #10 received at 226@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 226@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: Bug#226: x2gobroker: Incorrect hostname displayed when hostname and address are different
Date: Fri, 07 Jun 2013 20:47:22 +0200
[Message part 1 (text/plain, inline)]
reassign #226 src:x2goclient
found #226 4.0.1.0
thanks

Hi Anders,

On Fr 07 Jun 2013 14:51:57 CEST Anders Bruun Olsen wrote:

> Package: x2gobroker (perhaps x2goclient)

This is indeed an x2goclient/x2goplugin issue.

> Version: 0.0.2.3
> Severity: minor
>
> With the new setup where servers can be specified as hostname (address), I
> have this setup:
>
> host=testterm1 (testterm1.example.com),testterm2 (testterm2.example.com)
>
> When x2goclient gets sent to testterm2.example.com, it displays testterm1
> as the hostname, but connects to testterm2.example.com. It is probably only
> cosmetic, but should be fixed, so us poor sysadmins won't have problems
> troubleshooting :)

Patch is on its way... Please test once it is committed to Git. Thanks!

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>, owner@bugs.x2go.org:
Bug#226; Package x2gobroker (perhaps x2goclient). (Fri, 07 Jun 2013 18:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>, owner@bugs.x2go.org. (Fri, 07 Jun 2013 18:48:02 GMT) (full text, mbox, link).


Message #15 received at 226@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 226-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 226@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 7 Jun 2013 20:47:34 +0200 (CEST)
tag #226 pending
fixed #226 4.0.1.1
thanks

Hello,

X2Go issue #226 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=7a76ed9

The issue will most likely be fixed in src:x2goclient (4.0.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 7a76ed9a7b420ba037ccc8ab6073be566fcdd99a
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jun 7 20:47:30 2013 +0200

    Properly set the remote server address received via selectUserSession method when in broker mode. (Fixes: #226).

diff --git a/debian/changelog b/debian/changelog
index afa6b9c..e3a1cd1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,8 @@ x2goclient (4.0.1.1-0~x2go1) UNRELEASED; urgency=low
     - Enable full access desktop sharing across user accounts.
     - Avoid multiple selectUserSession requests when in broker
       mode.
+    - Properly set the remote server address received via selectUserSession
+      method when in broker mode. (Fixes: #226).
 
   [ Ezra Bühler ]
   * New upstream version (4.0.1.1):


Bug reassigned from package 'x2gobroker (perhaps x2goclient)' to 'src:x2goclient'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 18:48:03 GMT) (full text, mbox, link).


No longer marked as found in versions 0.0.2.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 18:48:03 GMT) (full text, mbox, link).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 18:48:03 GMT) (full text, mbox, link).


Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#226. (Fri, 07 Jun 2013 18:48:04 GMT) (full text, mbox, link).


Bug reassigned from package 'src:x2goclient' to 'x2goclient'. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Fri, 07 Jun 2013 18:49:23 GMT) (full text, mbox, link).


Marked as found in versions 4.0.1.0. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Fri, 07 Jun 2013 18:49:23 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.1. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Fri, 07 Jun 2013 18:51:24 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#226; Package x2goclient. (Wed, 11 Sep 2013 10:18:07 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Sep 2013 10:18:07 GMT) (full text, mbox, link).


Message #35 received at 226@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 226-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 226@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Wed, 11 Sep 2013 12:07:09 +0200 (CEST)
close #226
thanks

Hello,

we are very hopeful that X2Go issue #226 reported by you
has been resolved in the new release (4.0.1.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=dad4fcc24868504be24ccc9a3ab0fcac41859080;hp=1b4260f86a6fda01c5263fa3d27504677a3cdfac

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.1
Status: RELEASE
Date: Wed, 11 Sep 2013 12:06:02 +0200
Fixes: 141 142 151 164 165 177 179 183 214 222 226 243 255
Changes: 
 x2goclient (4.0.1.1) RELEASED; urgency=low
 .
   [ Nicolai Hansen ]
   * New upstream version (4.0.1.1):
     - Update Danish translation file.
 .
   [ Terje Andersen ]
   * New upstream version (4.0.1.1):
     - Update Norwegian Bokmaal translation file.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.1):
     - Use "127.0.0.1" instead of localhost to avoid wrong IPv6 hostname
       resolution. (Fixes: #151).
     - Wait for x2gocmdexitmessage to return before closing in hidden mode.
     - Support for published applications in X2Go Plugin
     - Support for "shadow" mode in X2Go Plugin
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.1):
     - If a priv SSH key has been specified, skip the autologin procedure.
       Let's consider a given SSH private key that fails to log the user
       in as an overall login failure. (Fixes: #141).
     - Avoid multiple selectUserSession requests when in broker
       mode.
     - Properly set the remote server address received via selectUserSession
       method when in broker mode. (Fixes: #226).
     - Fix segmentation fault that started occurring since the custom trayIcon
       patch was applied. Segfault only occurred if the tray icon was not used.
     - Show session name in notification bubbles.
     - Update German translation.
     - Add cmdline option --broker-autologoff: Enforce re-authentication against
       X2Go Session Broker after a session has been suspended or terminated.
       (Fixes: #179).
     - Enable full access desktop sharing across user accounts. (Fixes: #222).
     - Make X2Go Client aware of the MATE desktop environment.
     - Make X2Go Client work in SSH broker mode without the need of a auth-id
       file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.1.1):
     - Call ssh_clean_pubkey_hash() for deallocating public key hashes instead of
       just calling free(). Required under MS Windows as documented in libssh2
       API. (Fixes: #243). (For further details see:
       http://api.libssh.org/master/group__libssh__session.html).
   * Provide bin:package with debug symbols for X2Go Client. (Fixes: #255).
 .
   [ Ezra Bühler ]
   * New upstream version (4.0.1.1):
     - Fix auto-resume when session type is »Single Application«. (Fixes: #183).
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Fix detection of maximum screen area available for a session. (Fixes:
       #165).
     - Use the session icon as tray icon, pop up notification bubble that informs
       about current session actions. (Fixes: #177).
     - Allow for setting maximum available desktop size as window size via the
       session profile card. Unfortunately, this feature is for now only
       available on Linux. (Fixes: #214).
 .
   [ Otto Kjell ]
   * New upstream version (4.0.1.1):
     - Enable debug mode through cmd line parameter. (Fixes: #142).
     - Standardize output to stdout+stderr and make it parseable.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.1):
     - Instead of using a hard-code DPI of 96, use local DPI settings for new
       sessions if not explicitly set in session profile (Fixes: #164).
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.1.1):
     - Update Swedish translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Update Spanish translation file.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Sep 2013 10:18:12 GMT) (full text, mbox, link).


Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Wed, 11 Sep 2013 10:18:12 GMT) (full text, mbox, link).


Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#226. (Wed, 11 Sep 2013 10:18:19 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 10 Oct 2013 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Nov 15 04:32:47 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.